Extension API still alive ?

Hello,

is the Ruby API, to expand RM, still supoprted in RM 6 ?
Where can I find a detail documentaion how to use it ?

Regards,
André

3 comments
Comment actions Permalink

The API has been removed :(

Oleg.

P.S. some people suggest to use PMIP (https://code.google.com/p/pmip/) instead ;)

0
Comment actions Permalink

Thanks Oleg,

I'm an architect of an bigger ruby project ( > 200 developers ) and we have many project specific features. Currently we're using Eclipse with the DLTK. We wrote our one Eclipse Plugin to extend the DLTK for our usage. Now I try to evaluate if RM is the better solution.
One importend feature is, we don't use require, we use Modules as Namespaces. In the code you can just write Company::Project::Package::WebserviceClient.new. Is it possible to extend RM to resolve such statments in our customized way ?
At runtime we extend some classes with methods and other behavior, is it possible to customize the RM autocompletion ?
How can I customize RM in such way ?

Thanks,
André

0
Comment actions Permalink

Unfortunately there is no such functionality :(  The only way to get such behavior is to write your own plugin (in java)

Regards, Oleg.

0

Please sign in to leave a comment.